/*
 * Copyright 2015 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

package fr.ill.ics.cameo.test;

import fr.ill.ics.cameo.Application;
import fr.ill.ics.cameo.Application.This;
import fr.ill.ics.cameo.RemoteException;


public class TestRequesterApplication {

	public static void main(String[] args) {

		Application.This.init(args);
		
		if (Application.This.isAvailable()) {
			System.out.println("connected");
		}
		
		try {
			System.out.println("creating requester");
			
			// Get the starter app.
			Application.Instance starter = This.connectToStarter();
			
			// Create the requester.
			Application.Requester requester = Application.Requester.create(starter, "responder");
			
			// Set the state.
			Application.This.setRunning();

			// Send and wait for the result.
			requester.send("test");
			String result = requester.receiveString();
			
			System.out.println("received " + result);
			
			// Terminate the requester.
			requester.terminate();
			
		} catch (RemoteException e) {
			System.out.println("responder error");
			
		} finally {
			// Do not forget to terminate This.
			Application.This.terminate();			
		}
		
		System.out.println("finished the application");
	}

}