#!/usr/bin/python3 -u

import sys
import cameopy
import time

numberOfTimes = 1 if len(sys.argv) < 3 else int(sys.argv[1])
print("Number of times:", numberOfTimes)

this = cameopy.This
this.init(sys.argv)
server = this.getServer()

for i in range(numberOfTimes):
    
    # Start the cpp app because handlers not supported in Python.
    app = server.start("stopcpp", 0);
  
    print("Waiting 100ms...")
    time.sleep(0.100)
    print("Stopping application", app.getNameId())
    app.stop()
      
    result = app.getResult()
      
    # The variable result can be None.
    if result:
        print("Result", result)
    else:
        print("No result")
        
    print("Finished the application")
